org.apache.lucene.queryparser.xml.builders

## Class PointRangeQueryBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.PointRangeQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class PointRangeQueryBuilder
    extends Object
    implements QueryBuilder

Creates a range query across 1D `PointValues`. The table below specifies the required attributes and the defaults if optional attributes are omitted:

Attribute name | Values | Required | Default
--- | --- | --- | ---
fieldName | String | Yes | N/A
lowerTerm | Specified by `type` | No | Integer.MIN_VALUE Long.MIN_VALUE Float.NEGATIVE_INFINITY Double.NEGATIVE_INFINITY
upperTerm | Specified by `type` | No | Integer.MAX_VALUE Long.MAX_VALUE Float.POSITIVE_INFINITY Double.POSITIVE_INFINITY
type | int, long, float, double | No | int

A `ParserException` will be thrown if an error occurs parsing the supplied `lowerTerm` or `upperTerm` into the numeric type specified by `type`.

### Constructor Summary

Constructors
Constructor and Description
`PointRangeQueryBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Query` `getQuery(Element e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PointRangeQueryBuilder

    public PointRangeQueryBuilder()

### Method Detail

#### getQuery

    public Query getQuery(Element e)
                   throws ParserException

Specified by:
  `getQuery` in interface `QueryBuilder`
Throws:
  `ParserException`